<div dir="ltr">You need more than just 'gcc-xxx-base' you'll want to get a package named 'gcc'.<div style>try something like: </div><div style>apt-get install gcc-4.6</div><div style>or </div><div style>
apt-get install gcc</div><div style><br></div><div style>(on debian gcc links to the latest version, gcc-4.4/gcc-4.6 would link to the C compiler for version 4.4 or 4.6)</div><div style>gcc-xxx-base usually only includes the core parts of the gcc toolchain.<br>
</div><div>gcc/g++/g77/... will contain the actual language-specific compiler parts which is what the configure script is looking for.</div></div><div class="gmail_extra"><br><br><div class="gmail_quote">On Sun, Feb 17, 2013 at 1:57 PM, Alex Smith (K4RNT) <span dir="ltr"><<a href="mailto:shadowhunter@gmail.com" target="_blank">shadowhunter@gmail.com</a>></span> wrote:<br>
<blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">You can get both bleeding-edge and the LTS versions very their website.<br>
<br>
Your best bet would be to look at your /etc/apt/sources.list and see<br>
what it specifies the Ubuntu release to be, they'll be referred to as<br>
code names.<br>
<div class="HOEnZb"><div class="h5"><br>
<br>
On Sun, Feb 17, 2013 at 1:47 PM, Garrett Gaston <<a href="mailto:garrett85@hotmail.com">garrett85@hotmail.com</a>> wrote:<br>
> Don't know, latest version form <a href="http://ubutnu.com" target="_blank">ubutnu.com</a>. Thanks, that worked. I always<br>
> forget that after installing a new server.<br>
><br>
> ________________________________<br>
> From: <a href="mailto:willm.wade@gmail.com">willm.wade@gmail.com</a><br>
> Date: Sun, 17 Feb 2013 13:30:51 -0500<br>
><br>
> To: <a href="mailto:chugalug@chugalug.org">chugalug@chugalug.org</a><br>
> Subject: Re: [Chugalug] no acceptable c compiler<br>
><br>
> Which Ubuntu version?<br>
><br>
> Make sure to have run "sudo apt-get update" recently.<br>
><br>
><br>
> On Sun, Feb 17, 2013 at 12:15 PM, Garrett Gaston <<a href="mailto:garrett85@hotmail.com">garrett85@hotmail.com</a>><br>
> wrote:<br>
><br>
> sudo apt-get install build-essential<br>
> -> E: Unable to locate package build-essential<br>
><br>
> Here's the output from my config.log file<br>
><br>
> This file contains any messages produced by compilers while<br>
> running configure, to aid debugging if configure makes a mistake.<br>
><br>
> It was created by GNU Hello configure 2.3, which was<br>
> generated by GNU Autoconf 2.61.  Invocation command line was<br>
><br>
>   $ ./configure<br>
><br>
> ## --------- ##<br>
> ## Platform. ##<br>
> ## --------- ##<br>
><br>
> hostname = ubuntu<br>
> uname -m = i686<br>
> uname -r = 3.2.0-29-generic-pae<br>
> uname -s = Linux<br>
> uname -v = #46-Ubuntu SMP Fri Jul 27 17:25:43 UTC 2012<br>
><br>
> /usr/bin/uname -p = unknown<br>
> /bin/uname -X     = unknown<br>
><br>
> /bin/arch              = unknown<br>
> /usr/bin/arch -k       = unknown<br>
> /usr/convex/getsysinfo = unknown<br>
> /usr/bin/hostinfo      = unknown<br>
> /bin/machine           = unknown<br>
> /usr/bin/oslevel       = unknown<br>
> /bin/universe          = unknown<br>
><br>
> PATH: /usr/local/sbin<br>
> PATH: /usr/local/bin<br>
> PATH: /usr/sbin<br>
> PATH: /usr/bin<br>
> PATH: /sbin<br>
> PATH: /bin<br>
> PATH: /usr/games<br>
><br>
><br>
> ## ----------- ##<br>
> ## Core tests. ##<br>
> ## ----------- ##<br>
><br>
> configure:1872: checking for a BSD-compatible install<br>
> configure:1928: result: /usr/bin/install -c<br>
> configure:1939: checking whether build environment is sane<br>
> configure:1982: result: yes<br>
> configure:2010: checking for a thread-safe mkdir -p<br>
> configure:2049: result: /bin/mkdir -p<br>
> configure:2062: checking for gawk<br>
> configure:2078: found /usr/bin/gawk<br>
> configure:2089: result: gawk<br>
> configure:2100: checking whether make sets $(MAKE)<br>
> configure:2125: result: no<br>
> configure:2366: checking for gcc<br>
> configure:2396: result: no<br>
> configure:2463: checking for cc<br>
> configure:2510: result: no<br>
> configure:2566: checking for cl.exe<br>
> configure:2596: result: no<br>
> configure:2625: error: no acceptable C compiler found in $PATH<br>
> See `config.log' for more details.<br>
><br>
> ## ---------------- ##<br>
> ## Cache variables. ##<br>
> ## ---------------- ##<br>
><br>
> ac_cv_env_CC_set=<br>
> ac_cv_env_CC_value=<br>
> ac_cv_env_CFLAGS_set=<br>
> ac_cv_env_CFLAGS_value=<br>
> ac_cv_env_CPPFLAGS_set=<br>
> ac_cv_env_CPPFLAGS_value=<br>
> ac_cv_env_CPP_set=<br>
> ac_cv_env_CPP_value=<br>
> ac_cv_env_LDFLAGS_set=<br>
> ac_cv_env_LDFLAGS_value=<br>
> ac_cv_env_LIBS_set=<br>
> ac_cv_env_LIBS_value=<br>
> ac_cv_env_build_alias_set=<br>
> ac_cv_env_build_alias_value=<br>
> ac_cv_env_host_alias_set=<br>
> ac_cv_env_host_alias_value=<br>
> ac_cv_env_target_alias_set=<br>
> ac_cv_env_target_alias_value=<br>
> ac_cv_path_install='/usr/bin/install -c'<br>
> ac_cv_path_mkdir=/bin/mkdir<br>
> ac_cv_prog_AWK=gawk<br>
> ac_cv_prog_make_make_set=no<br>
><br>
> ## ----------------- ##<br>
> ## Output variables. ##<br>
> ## ----------------- ##<br>
><br>
> ACLOCAL='${SHELL} /usr/local/src/hello-2.3/build-aux/missing --run<br>
> aclocal-1.10'<br>
> AMDEPBACKSLASH=''<br>
> AMDEP_FALSE=''<br>
> AMDEP_TRUE=''<br>
> AMTAR='${SHELL} /usr/local/src/hello-2.3/build-aux/missing --run tar'<br>
> AUTOCONF='${SHELL} /usr/local/src/hello-2.3/build-aux/missing --run<br>
> autoconf'<br>
> AUTOHEADER='${SHELL} /usr/local/src/hello-2.3/build-aux/missing --run<br>
> autoheader'<br>
> AUTOMAKE='${SHELL} /usr/local/src/hello-2.3/build-aux/missing --run<br>
> automake-1.10'<br>
> AWK='gawk'<br>
> CC=''<br>
> CCDEPMODE=''<br>
> CFLAGS=''<br>
> CPP=''<br>
> CPPFLAGS=''<br>
> CYGPATH_W='echo'<br>
> DEFS=''<br>
> DEPDIR=''<br>
> ECHO_C=''<br>
> ECHO_N='-n'<br>
> ECHO_T=''<br>
> EGREP=''<br>
> EXEEXT=''<br>
> GETOPT_H=''<br>
> GL_COND_LIBTOOL_FALSE=''<br>
> GL_COND_LIBTOOL_TRUE=''<br>
> GMSGFMT=''<br>
> GMSGFMT_015=''<br>
> GNULIB_CHOWN=''<br>
> GNULIB_DUP2=''<br>
> GNULIB_FCHDIR=''<br>
> GNULIB_FTRUNCATE=''<br>
> GNULIB_GETCWD=''<br>
> GNULIB_GETLOGIN_R=''<br>
> GNULIB_GETSUBOPT=''<br>
> GNULIB_LCHOWN=''<br>
> GNULIB_LSEEK=''<br>
> GNULIB_MKDTEMP=''<br>
> GNULIB_MKSTEMP=''<br>
> GNULIB_READLINK=''<br>
> GNULIB_SLEEP=''<br>
> GREP=''<br>
> HAVE_DECL_GETLOGIN_R=''<br>
> HAVE_DUP2=''<br>
> HAVE_FTRUNCATE=''<br>
> HAVE_GETSUBOPT=''<br>
> HAVE_ISWCNTRL=''<br>
> HAVE_MKDTEMP=''<br>
> HAVE_READLINK=''<br>
> HAVE_SLEEP=''<br>
> HAVE_UNISTD_H=''<br>
> HAVE_WCHAR_H=''<br>
> HAVE_WCTYPE_H=''<br>
> HAVE_WINT_T=''<br>
> HAVE__BOOL=''<br>
> HELP2MAN=''<br>
> INCLUDE_NEXT=''<br>
> INSTALL_DATA='${INSTALL} -m 644'<br>
> INSTALL_PROGRAM='${INSTALL}'<br>
> INSTALL_SCRIPT='${INSTALL}'<br>
> INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'<br>
> INTLLIBS=''<br>
> INTL_MACOSX_LIBS=''<br>
> LDFLAGS=''<br>
> LIBGNU_LIBDEPS=''<br>
> LIBGNU_LTLIBDEPS=''<br>
> LIBICONV=''<br>
> LIBINTL=''<br>
> LIBOBJS=''<br>
> LIBS=''<br>
> LTLIBICONV=''<br>
> LTLIBINTL=''<br>
> LTLIBOBJS=''<br>
> MAKEINFO='${SHELL} /usr/local/src/hello-2.3/build-aux/missing --run<br>
> makeinfo'<br>
> MSGFMT=''<br>
> MSGFMT_015=''<br>
> MSGMERGE=''<br>
> NEXT_STDLIB_H=''<br>
> NEXT_UNISTD_H=''<br>
> NEXT_WCHAR_H=''<br>
> NEXT_WCTYPE_H=''<br>
> OBJEXT=''<br>
> PACKAGE='hello'<br>
> PACKAGE_BUGREPORT='<a href="mailto:bug-hello@gnu.org">bug-hello@gnu.org</a>'<br>
> PACKAGE_NAME='GNU Hello'<br>
> PACKAGE_STRING='GNU Hello 2.3'<br>
> PACKAGE_TARNAME='hello'<br>
> PACKAGE_VERSION='2.3'<br>
> PATH_SEPARATOR=':'<br>
> POSUB=''<br>
> RANLIB=''<br>
> REPLACE_CHOWN=''<br>
> REPLACE_FCHDIR=''<br>
> REPLACE_GETCWD=''<br>
> REPLACE_LCHOWN=''<br>
> REPLACE_LSEEK=''<br>
> REPLACE_MKSTEMP=''<br>
> SET_MAKE='MAKE=make'<br>
> SHELL='/bin/bash'<br>
> STDBOOL_H=''<br>
> STRIP=''<br>
> USE_NLS=''<br>
> VERSION='2.3'<br>
> WCHAR_H=''<br>
> WCTYPE_H=''<br>
> XGETTEXT=''<br>
> XGETTEXT_015=''<br>
> ac_ct_CC=''<br>
> am__fastdepCC_FALSE=''<br>
> am__fastdepCC_TRUE=''<br>
> am__include=''<br>
> am__isrc=''<br>
> am__leading_dot='.'<br>
> am__quote=''<br>
> am__tar='${AMTAR} chof - "$$tardir"'<br>
> am__untar='${AMTAR} xf -'<br>
> bindir='${exec_prefix}/bin'<br>
> build=''<br>
> build_alias=''<br>
> build_cpu=''<br>
> build_os=''<br>
> build_vendor=''<br>
> datadir='${datarootdir}'<br>
> datarootdir='${prefix}/share'<br>
> docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'<br>
> dvidir='${docdir}'<br>
> exec_prefix='NONE'<br>
> gl_LIBOBJS=''<br>
> gl_LTLIBOBJS=''<br>
> host=''<br>
> host_alias=''<br>
> host_cpu=''<br>
> host_os=''<br>
> host_vendor=''<br>
> htmldir='${docdir}'<br>
> includedir='${prefix}/include'<br>
> infodir='${datarootdir}/info'<br>
> install_sh='$(SHELL) /usr/local/src/hello-2.3/build-aux/install-sh'<br>
> libdir='${exec_prefix}/lib'<br>
> libexecdir='${exec_prefix}/libexec'<br>
> localedir='${datarootdir}/locale'<br>
> localstatedir='${prefix}/var'<br>
> mandir='${datarootdir}/man'<br>
> mkdir_p='/bin/mkdir -p'<br>
> oldincludedir='/usr/include'<br>
> pdfdir='${docdir}'<br>
> prefix='NONE'<br>
> program_transform_name='s,x,x,'<br>
> psdir='${docdir}'<br>
> sbindir='${exec_prefix}/sbin'<br>
> sharedstatedir='${prefix}/com'<br>
> sysconfdir='${prefix}/etc'<br>
> target_alias=''<br>
><br>
> ## ----------- ##<br>
> ## confdefs.h. ##<br>
> ## ----------- ##<br>
><br>
> #define PACKAGE_NAME "GNU Hello"<br>
> #define PACKAGE_TARNAME "hello"<br>
> #define PACKAGE_VERSION "2.3"<br>
> #define PACKAGE_STRING "GNU Hello 2.3"<br>
> #define PACKAGE_BUGREPORT "<a href="mailto:bug-hello@gnu.org">bug-hello@gnu.org</a>"<br>
> #define PACKAGE "hello"<br>
> #define VERSION "2.3"<br>
><br>
> configure: exit 1<br>
><br>
> ________________________________<br>
> Date: Sun, 17 Feb 2013 11:20:48 -0500<br>
> From: <a href="mailto:jnylen@gmail.com">jnylen@gmail.com</a><br>
> To: <a href="mailto:chugalug@chugalug.org">chugalug@chugalug.org</a><br>
> Subject: Re: [Chugalug] no acceptable c compiler<br>
><br>
><br>
> Try:<br>
><br>
> sudo apt-get install build-essential<br>
><br>
> If that doesn't work, post more of the log from ./configure.<br>
><br>
> On Sun, Feb 17, 2013 at 10:57 AM, Garrett Gaston <<a href="mailto:garrett85@hotmail.com">garrett85@hotmail.com</a>><br>
> wrote:<br>
><br>
> I tried to run ./configure on a small program that the Linux book I'M<br>
> reading instructed me to download and I got the error "no acceptable C<br>
> compiler found in $PATH" I then tried to run apt-get install gcc, but then I<br>
> got "unable to locate package gcc".  After running apt-get install<br>
> gcc-4.6-base I got "gcc-4.6-base is already the newest version.".<br>
> This is Ubuntu server and the $PATH is:<br>
><br>
> /usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games<br>
><br>
> Any ideas?<br>
><br>
> _______________________________________________<br>
> Chugalug mailing list<br>
> <a href="mailto:Chugalug@chugalug.org">Chugalug@chugalug.org</a><br>
> <a href="http://chugalug.org/cgi-bin/mailman/listinfo/chugalug" target="_blank">http://chugalug.org/cgi-bin/mailman/listinfo/chugalug</a><br>
><br>
><br>
><br>
> _______________________________________________ Chugalug mailing list<br>
> <a href="mailto:Chugalug@chugalug.org">Chugalug@chugalug.org</a> <a href="http://chugalug.org/cgi-bin/mailman/listinfo/chugalug" target="_blank">http://chugalug.org/cgi-bin/mailman/listinfo/chugalug</a><br>
><br>
> _______________________________________________<br>
> Chugalug mailing list<br>
> <a href="mailto:Chugalug@chugalug.org">Chugalug@chugalug.org</a><br>
> <a href="http://chugalug.org/cgi-bin/mailman/listinfo/chugalug" target="_blank">http://chugalug.org/cgi-bin/mailman/listinfo/chugalug</a><br>
><br>
><br>
><br>
> _______________________________________________ Chugalug mailing list<br>
> <a href="mailto:Chugalug@chugalug.org">Chugalug@chugalug.org</a> <a href="http://chugalug.org/cgi-bin/mailman/listinfo/chugalug" target="_blank">http://chugalug.org/cgi-bin/mailman/listinfo/chugalug</a><br>
><br>
> _______________________________________________<br>
> Chugalug mailing list<br>
> <a href="mailto:Chugalug@chugalug.org">Chugalug@chugalug.org</a><br>
> <a href="http://chugalug.org/cgi-bin/mailman/listinfo/chugalug" target="_blank">http://chugalug.org/cgi-bin/mailman/listinfo/chugalug</a><br>
><br>
<br>
<br>
<br>
</div></div><span class="HOEnZb"><font color="#888888">--<br>
" ' With the first link, the chain is forged. The first speech<br>
censured, the first thought forbidden, the first freedom denied,<br>
chains us all irrevocably.' Those words were uttered by Judge Aaron<br>
Satie as wisdom and warning... The first time any man's freedom is<br>
trodden on we’re all damaged." - Jean-Luc Picard, quoting Judge Aaron<br>
Satie, Star Trek: TNG episode "The Drumhead"<br>
- Alex Smith (K4RNT)<br>
- Dulles Technology Corridor (Chantilly/Ashburn/Dulles), Virginia USA<br>
</font></span><div class="HOEnZb"><div class="h5">_______________________________________________<br>
Chugalug mailing list<br>
<a href="mailto:Chugalug@chugalug.org">Chugalug@chugalug.org</a><br>
<a href="http://chugalug.org/cgi-bin/mailman/listinfo/chugalug" target="_blank">http://chugalug.org/cgi-bin/mailman/listinfo/chugalug</a><br>
</div></div></blockquote></div><br><br clear="all"><div><br></div>-- <br>PERL<br>-----------<br>World Domination Through Obscurity.
</div>